kind: pipeline
name: default
type: docker
steps:
  - name: build
    image: node
    volumes:
      - name: dist
        path: /dist
    commands:
      - npm install
      - npm run generate
  - name: deploy
    image: garionion/drone-sftp
    volumes:
      - name: dist
        path: /dist
    environment:
      SSH_KEY:
        from_secret: ssh-key
      USERNAME:
        from_secret: username
      KNOWN_HOSTS:
        from_secret: known-hosts
      HOSTNAME: web-1.fem.tu-ilmenau.de
      DEST_DIR: '/iswision.de/www/public_html/iswision2021/'
      SRC_DIR: '/dist/*'
    commands:
      - /bin/sftp-wrap.sh
    when:
      branch:
        - main

volumes:
  - name: dist
    temp: {}